/*
 * GNU GENERAL PUBLIC LICENSE v2
 * 
 * Developers: Alan Audette, Oguz Bastemur
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace SqlDatabaseBackup.Configuration
{
    public class ConfigurationManager : System.Configuration.ConfigurationSection
    {
        public static ConfigurationManager GetConfiguration()
        {
            return System.Configuration.ConfigurationManager.GetSection("BackupSettings") as ConfigurationManager;
        }

        [System.Configuration.ConfigurationProperty("Email")]
        public Email Email
        {
            get { return this["Email"] as Email; }
        }

        [System.Configuration.ConfigurationProperty("Server")]
        public Server Server
        {
            get { return this["Server"] as Server; }
        }

        [System.Configuration.ConfigurationProperty("Databases")]
        public Databases Databases
        {
            get { return this["Databases"] as Databases; }
        }

        [System.Configuration.ConfigurationProperty("Backup")]
        public Backup Backup
        {
            get{return this["Backup"] as Backup;}
        }

        [System.Configuration.ConfigurationProperty("Archive")]
        public Archive Archive
        {
            get { return this["Archive"] as Archive; }
        }

        [System.Configuration.ConfigurationProperty("Logging")]
        public Logging Logging
        {
            get { return this["Logging"] as Logging; }
        }

        [System.Configuration.ConfigurationProperty("UserInput")]
        public UserInput UserInput
        {
            get { return this["UserInput"] as UserInput; }
        }
    }
}

